# DefaultAuthenticator (Apache Commons Email 1.5 API)

org.apache.commons.mail

## Class DefaultAuthenticator

- java.lang.Object
- - javax.mail.Authenticator
  - - org.apache.commons.mail.DefaultAuthenticator

    public class DefaultAuthenticator
    extends Authenticator

This is a very simple authentication object that can be used for any transport needing basic userName and password type authentication.

Since:
  1.0

### Constructor Summary

Constructors
Constructor and Description
`DefaultAuthenticator(String userName, String password)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected PasswordAuthentication` `getPasswordAuthentication()` Gets the authentication object that will be used to login to the mail server.

### Methods inherited from class javax.mail.Authenticator

`getDefaultUserName, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingSite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultAuthenticator

    public DefaultAuthenticator(String userName,
                                String password)

Default constructor.

Parameters:
  `userName` - user name to use when authentication is requested
  `password` - password to use when authentication is requested
Since:
  1.0

### Method Detail

#### getPasswordAuthentication

    protected PasswordAuthentication getPasswordAuthentication()

Gets the authentication object that will be used to login to the mail server.

Overrides:
  `getPasswordAuthentication` in class `Authenticator`
Returns:
  A `PasswordAuthentication` object containing the login information.
Since:
  1.0